Bug 316227 - ktp-contact-runner should be renamed
Summary: ktp-contact-runner should be renamed
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contact-runner (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR task
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-06 14:48 UTC by Daniele E. Domenichelli
Modified: 2013-08-27 11:48 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniele E. Domenichelli 2013-03-06 14:48:02 UTC
ktp-contact-runner does more than just "contact", it can (at least) set the status, and perhaps it will get more features later.
We should rename it (together with repository, bug component, etc), so that it's obvious that it's not just for contact.
I suggest to use just ktp-runner.
Comment 1 Daniel Vrátil 2013-03-06 14:57:01 UTC
I'm fine with renaming to ktp-runner, but someone else needs to take care of it, as I'm kinda busy these days.
Comment 2 David Edmundson 2013-08-27 02:40:02 UTC
UI change here: https://git.reviewboard.kde.org/r/112306/ discuss wording there.

The user will never see the repository name, I see no reason to change it. It is far too much work for such little gain.
Comment 3 David Edmundson 2013-08-27 11:48:08 UTC
Git commit 6d80b2d8f194558d56e4b10b11612e5eb01a30f1 by David Edmundson.
Committed on 27/08/2013 at 03:34.
Pushed by davidedmundson into branch 'master'.

Change runner name + comment to clarify it does more than just contacts

REVIEW: 112306

M  +2    -2    plasma-runner-ktp-contact.desktop.cmake

http://commits.kde.org/ktp-contact-runner/6d80b2d8f194558d56e4b10b11612e5eb01a30f1